## cyrus-sasl2 2.1.23.dfsg1-3maemo2

=== debian/sample/Makefile ===
#!/usr/bin/make -f

INCDIR=$(T)/include
LIBDIR=$(T)/lib/.libs

all: sample-server sample-client

sample-server: sample-server.c
	gcc -g -o sample-server sample-server.c -I. -I$(INCDIR) -L$(LIBDIR) -lsasl2

sample-client: sample-client.c
	gcc -g -o sample-client sample-client.c -I. -I$(INCDIR) -L$(LIBDIR) -lsasl2

=== debian/changelog ===
cyrus-sasl2 (2.1.23.dfsg1-3maemo2) fremantle; urgency=low

  * Fix missed depends 

 -- Bryan Jacobs <b@q3q.us>  Thu, 13 Jan 2011 08:42:17 +0300

cyrus-sasl2 (2.1.23.dfsg1-3maemo1) fremantle; urgency=low

  * Modified to use db4.2 instead of db4.7
  * Disable PAM auth
  * Delete libopie (One-Time Passwords) support by removing build-dep
  * Disable MIT Kerberos GSSAPI support

 -- Bryan Jacobs <b@q3q.us>  Fri, 01 Jan 2010 20:52:06 -0500

cyrus-sasl2 (2.1.23.dfsg1-3) unstable; urgency=low

  * Acknowledge NMU (Thanks to Christian Perrier)
  * Change package priority important -> standard, because of override
    disparity email

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 07 Nov 2009 09:31:23 -0500

cyrus-sasl2 (2.1.23.dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - French (Odile Bénassy).  Closes: #518593

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Nov 2009 08:04:09 +0100

cyrus-sasl2 (2.1.23.dfsg1-2) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/control: Change Vcs-* fields to point to trunk.
  * debian/rules: Remove build-indep-stamp and build-arch-stamp when cleaning
    up (from Ubuntu) (Closes: #516538).
  * debian/patches/0014_avoid_pic_overwrite.dpatch: Also apply to
    lib/Makefile.am. Thanks to Amadeu A. Barbosa Jr. (Closes: #502910)

  [ Roberto C. Sanchez ]
  * Acknowledge NMU (thanks to Andreas Barth)
  * Document the sync mechanism between cyrus-sasl2 and cyrus-sasl2-heimdal.
    Urgency 'high' since current package is uninstallable.
  * Bump Standards-Version to 3.8.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 07 Oct 2009 21:45:57 -0400

cyrus-sasl2 (2.1.23.dfsg1-1.1) unstable; urgency=medium

  * Build-Depend also on mysqlclient-dev. Closes: #542904
  * Conflict cyrus-sasl2-heimdal-dbg as both packages provide the file 
    /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23 Closes: #530781

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 29 Aug 2009 11:47:55 +0200

cyrus-sasl2 (2.1.23.dfsg1-1) unstable; urgency=high

  * New upstream release
    - Security fix for CVE-2009-0688 (Closes: #528749).
    - debian/patches/0020_saslauthd_manpage.dpatch: Remove, integrated
      upstream.
    - debian/rules: Change chrpath invocation to match new version number of
      libsql.so.

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 24 May 2009 20:56:01 +0300

cyrus-sasl2 (2.1.22.dfsg1-26) UNRELEASED; urgency=low

  * NOT RELEASED
  * debian/control: Set section to debug to match override.

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 10 May 2009 09:55:01 +0300

cyrus-sasl2 (2.1.22.dfsg1-25) unstable; urgency=high

  * debian/patches/0017_db4.7.dpatch: Update db4.6 patch to db4.7.
    (Closes: #523007)

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 10 May 2009 08:51:30 +0300

cyrus-sasl2 (2.1.22.dfsg1-24) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/patches/0021_no_mutex_changes_after_init.dpatch: Added patch to
    disallow mutex function changes once sasl_client_init and/or
    sasl_server_init have been called. Hand-picked and applied from upstream
    CVS revision 1.117, thanks to Eric Leblond. (Closes: #499770)
  * debian/control: Add ${misc:Depends} to applicable binary packages.
  * debian/rules, debian/libsasl2-modules, debian/libsasl2-modules-otp,
    debian/sasl2-bin: Add overrides for possible-gpl-code-linked-with-openssl
    lintian error.
  * debian/source.lintian-overrides: Add override for ancient-libtool lintian
    warning.
  * debian/sasl2-bin.postinst: Use set -e.
  * debian/patches/0022_gcc4.4_preprocessor_syntax.dpatch: Added patch to use
    test condition for #elif preprocessor directive. Required by GCC 4.4.
    Thanks to Martin Michlmayr. (Closes: #505042)
  * debian/cyrus-sasl2-dbg.dirs, debian/cyrus-sasl2-dbg.lintian-overrides,
    debian/rules: Add override because our -dbg package is not standardly
    named.
  * debian/control: Bump libdb version to 4.7. (Closes: #523007)
  * debian/sasl2-bin.postinst: Update to reflect libdb version change.
    Not strictly necessary since there were no database format changes
    betweek 4.6 and 4.7, but in the interest of completeness...

 -- Fabian Fagerholm <fabbe@debian.org>  Sat, 09 May 2009 22:56:52 +0300

cyrus-sasl2 (2.1.22.dfsg1-23) unstable; urgency=low

  * Add README.source to comply with Standards-Version 3.8.0
  * Fix watch file to use dversionmangle instead of uversionmangle

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 01 Sep 2008 11:05:12 -0400

cyrus-sasl2 (2.1.22.dfsg1-22) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Added Slovak translation, thanks to Ivan Masár (Closes: #489268)

  [ Fabian Fagerholm ]
  * Added Japanese translation, thanks to Hideki Yamane. (Closes: #493004)
  * Bump standards-version.

 -- Fabian Fagerholm <fabbe@debian.org>  Sat, 02 Aug 2008 15:57:11 +0300

cyrus-sasl2 (2.1.22.dfsg1-21) unstable; urgency=high

  [ Fabian Fagerholm ]
  * Add Basque translation, thanks to Piarres Beobide. (Closes: #481541)
  * Install README.Debian into libsasl2-2 package. (Closes: #485289)

  [ Roberto C. Sanchez ]
  * Remove bashism from debian/rules. (Closes: #484374)
  * Add Homepage field to debian/control.

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 09 Jun 2008 21:27:23 +0300

cyrus-sasl2 (2.1.22.dfsg1-20) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.saslauthd.default, debian/sasl2-bin.README.Debian:
    Include warnings about running saslauthd with the -d option.
    (Closes: #474311)
  * debian/control: Adjust priorities to be consistent and policy-compliant.
    (Closes: #471534)
  * debian/rules: Remove generated man pages in clean target. (Partial sync
    with Ubuntu.)
  * debian/sasl2-bin.saslauthd.init: Remove bashism in init script.
    (Closes: #480613) Urgency set to high because of lenny release goal to
    make dash the default /bin/sh.



=== debian/control ===
Source: cyrus-sasl2
Section: libs
Priority: standard
Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>, Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5.0.0), dpatch, autotools-dev, automake1.9, autoconf, libtool, libdb4.2-dev, libssl-dev (>= 0.9.7e-3), libmysqlclient-dev | libmysqlclient15-dev (>= 5.0.20), libpq-dev (>= 8.1.3-4), libsqlite0-dev (>= 2.8.16), libldap2-dev (>= 2.1.30-8), chrpath, groff-base, debconf (>= 0.5) | debconf-2.0, po-debconf, docbook-to-man
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/
Homepage: http://asg.web.cmu.edu/sasl/sasl-library.html

Package: sasl2-bin
Section: utils
Priority: optional
Architecture: any
Depends: libsasl2-2 (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), debconf (>= 1.4.69)
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.    

Package: cyrus-sasl2-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: postfix (<< 2.3.4-3), libsasl2-gssapi-mit (<< 2.1.22), libsasl2-krb4-mit (<< 2.1.22)
Recommends: libsasl2-modules (= ${binary:Version})
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used. If you intend to
 use this package on a server that provides SASL authentication, then
 you must install some of the libsasl2-modules* packages.

Package: libsasl2-modules
Priority: optional
Architecture: any
Depends: libsasl2-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libsasl2-modules-otp, libsasl2-modules-ldap, libsasl2-modules-sql, libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).

Package: libsasl2-modules-ldap
Priority: extra
Architecture: any
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Priority: extra
Architecture: any
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsasl2-modules (<< 2.1.22~)
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Priority: extra
Architecture: any
Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: libsasl2-modules (= ${binary:Version}), libc6-dev, ${misc:Depends}
Conflicts: libsasl2-2-dev
Replaces: libsasl2-2-dev
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: cyrus-sasl2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libsasl2-2 (= ${binary:Version}), ${misc:Depends}
Conflicts: cyrus-sasl2-heimdal-dbg
Description: Cyrus SASL - debugging symbols
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains the debugging symbols for all Cyrus SASL packages.
 The debugging symbols can be useful when investigating crashes in the SASL
 library or tools. You may be asked to install this package if you encounter
 such a crash.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for CMU Cyrus SASL version 2.1
# 
# Copyright (c) 2006 by Fabian Fagerholm.
# Based on previous work by Dima Barsky.
# Based on cyrus-imapd-2.2 packages by Henrique de Moraes Holshuch.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# Note that Cyrus SASL itself is published under a different license.


# Debhelper control.
export DH_ALWAYS_EXCLUDE=CVS
#export DH_VERBOSE=1 # uncomment this to turn on verbose mode

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already).
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# We use dpatch, include its Makefile.
include /usr/share/dpatch/dpatch.make

# Set proper compiler flags here.
CFLAGS = -Wall -g

# Optimization may be turned off during the build, but is on by default.
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# SQL support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_SQL=--enable-sql
else
	CONFIGURE_SQL=--disable-sql
endif

# LDAP support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-ldap,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_LDAP=--with-ldap
	CONFIGURE_LDAPDB=--enable-ldapdb
else
	CONFIGURE_LDAP=--without-ldap
	CONFIGURE_LDAPDB=--disable-ldapdb
endif

CONFIGURE_GSSAPI=--disable-gssapi

# Prepare shared library version numbers.
version=`ls src/.libs/lib*.so.* | \
	awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
	awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# Some convenience variables
export TMPPKG := $(CURDIR)/debian/tmp

AUTOFILES=acinclude.m4 aclocal.m4 config/config.sub config/config.guess \
		  config/ltmain.sh config/libtool.m4
BUILD_TMP_SUFFIX=.debian-build.tmp
AUTOTOOLS=for i in $(AUTOFILES); do \
		  	if [ -e $$i ]; then \
				mv --verbose $$i `basename $$i`$(BUILD_TMP_SUFFIX) ; \
			fi ; \
		  done && \
		  libtoolize --force && \
		  aclocal-1.9 -I $(CURDIR)/cmulocal -I $(CURDIR)/config && \
		  autoheader && \
		  autoconf && \
		  automake-1.9 --add-missing --include-deps && \
		  touch stamp-h.in
AUTOTOOLS_REVERSE=for i in $(AUTOFILES); do \
				  	if [ -e `basename $$i`$(BUILD_TMP_SUFFIX) ]; then \
						if [ -e $$i ]; then rm -fv $$i; fi ; \
						mv --verbose `basename $$i`$(BUILD_TMP_SUFFIX) $$i ; \
					fi ; \
				  done


### The Makefile targets begin. ###


###
# Clean up the source tree to prepare for building.
# Use dpatch targets to unpatch any applied patches.
###
clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-indep-stamp build-arch-stamp

	rm -f $(CURDIR)/sample/sample-client \
		$(CURDIR)/sample/sample-server \
		$(CURDIR)/sample/config.h
	[ ! -f Makefile ] || $(MAKE) distclean
	$(AUTOTOOLS_REVERSE)
	(cd saslauthd && $(AUTOTOOLS_REVERSE) && cd ..)
	-rm -f config.h config.log autom4ate.cache

	# Remove symlinks that the CMU build sets up but never removes.
	# They can be found by running find . -lname '*' -print in the
	# source tree before and after a build and comparing the differences.
	rm -f lib/sasldb.c lib/db_berkeley.c lib/allockey.c lib/cram.c \
			lib/digestmd5.c lib/otp.c lib/gssapi.c lib/plain.c \
			lib/anonymous.c lib/login.c lib/ntlm.c lib/sql.c lib/ldapdb.c

	# Remove generated man pages
	-rm -f sasl-sample-client.8 sasl-sample-server.8

	dh_clean 

###
# Configure the package.
# Use dpatch targets to apply any available patches.
###
config.status: patch configure
	dh_testdir

	# Avoid problems with timestamp skew and autotools.
	touch configure
	$(AUTOTOOLS)
	(cd saslauthd && $(AUTOTOOLS) && cd ..)
	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" CFLAGS="$(CFLAGS)" ./configure \
	       --host=$(DEB_HOST_GNU_TYPE) \
	       --build=$(DEB_BUILD_GNU_TYPE) \
	       --prefix=/usr \
	       --mandir=\$${prefix}/share/man \
	       --infodir=\$${prefix}/share/info \
	       --enable-static \
	       --enable-shared \
	       --enable-alwaystrue \
	       --enable-checkapop \
	       --enable-cram \
	       --enable-digest \
	       --disable-srp \
	       --disable-srp-setpass \
	       --disable-krb4 \
	       $(CONFIGURE_GSSAPI) \
	       --enable-gss_mutexes \
	       --enable-auth-sasldb \
	       --enable-plain \
	       --enable-anon \
	       --enable-login \
	       --enable-ntlm \
	       --disable-passdss \
	       $(CONFIGURE_SQL) \
	       $(CONFIGURE_LDAPDB) \
	       --disable-macos-framework \
	       --with-saslauthd=/var/run/saslauthd \
	       $(CONFIGURE_LDAP) \
	       --with-pgsql=/usr/include/postgresql \
	       --with-configdir=/etc/sasl:/usr/lib/sasl2 \
	       --sysconfdir=/etc \
	       --with-devrandom=/dev/urandom
	       
	# Prepare to build sample-{client,server}
	cp -f $(CURDIR)/debian/sample/config.h $(CURDIR)/sample/config.h

	# Record the build-time settings for later reference
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep with\ options config.status | sed -e \
		's/^.*options \\"/configure /;s/\\"$///' \
		>> debian/README.configure-options

###
# Build architecture-dependent files.
###
build-arch: build-arch-stamp
build-arch-stamp: config.status
	dh_testdir

	# Ugly hack: the CMU build system is broken.
	# Certain symlinks get created too late, resulting in a
	# build failure. We work around this by running make twice,
	# ignoring the first failure.
	-$(MAKE)
	# Here we run make again (this comment makes build log more readable)
	$(MAKE)

	# Build sample-{client,server}
	make -f $(CURDIR)/debian/sample/Makefile -C $(CURDIR)/sample T=$(CURDIR)

	touch build-arch-stamp

###
# Build architecture-independent files.
###
build-indep: build-indep-stamp
build-indep-stamp:
	# Build the sasl-sample-client and sasl-sample-server man pages.
	/usr/bin/docbook-to-man debian/sasl-sample-client.sgml \
		> sasl-sample-client.8
	/usr/bin/docbook-to-man debian/sasl-sample-server.sgml \
		> sasl-sample-server.8

	touch build-indep-stamp

###
# Install the built files in their corresponding package directories.
###
install: build-arch build-indep test
	dh_testdir
	dh_testroot
	dh_clean -k 

	$(MAKE) install DESTDIR=$(TMPPKG)

	# Alter the default location and names of files to fit Debian
	# policy and better integrate with the Debian system.
	mv $(TMPPKG)/usr/sbin/pluginviewer $(TMPPKG)/usr/sbin/saslpluginviewer
	mv $(TMPPKG)/usr/share/man/man8/pluginviewer.8 \
		$(TMPPKG)/usr/share/man/man8/saslpluginviewer.8
	install -m 644 saslauthd/saslauthd.mdoc \
		$(TMPPKG)/usr/share/man/man8/saslauthd.8
	install -m 644 $(CURDIR)/debian/testsaslauthd.8 \
		$(TMPPKG)/usr/share/man/man8/testsaslauthd.8
	mv $(TMPPKG)/usr/sbin/dbconverter-2 $(TMPPKG)/usr/sbin/sasldbconverter2
	install -m 644 utils/sasldbconverter2.8 \
		$(TMPPKG)/usr/share/man/man8/sasldbconverter2.8

	# Install sample-{client,server} with Debianized names
	install -m 755 -D $(CURDIR)/sample/sample-client \
		$(TMPPKG)/usr/bin/sasl-sample-client
	install -m 755 -D $(CURDIR)/sample/sample-server \
		$(TMPPKG)/usr/sbin/sasl-sample-server

	# Alter the rpath of certain binaries and shared libraries.
	chrpath -d $(TMPPKG)/usr/sbin/sasldblistusers2 \
		$(TMPPKG)/usr/sbin/saslpasswd2
	chrpath -d $(TMPPKG)/usr/lib/sasl2/libsql.so.2.0.23

	# Install the sasl-sample-client and -server man pages.
	dh_installman -psasl2-bin sasl-sample-client.8 sasl-sample-server.8

	# Install saslfinger
	install -m 644 -D $(CURDIR)/debian/saslfinger/saslfinger.1 \
		$(TMPPKG)/usr/share/man/man1/saslfinger.1

## cyrus-sasl2 2.1.24~rc1.dfsg1+cvs2011-05-23

=== debian/changelog ===
cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-4ubuntu2) oneiric; urgency=low

  * Build for multiarch.  LP: #826601.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2011 15:30:56 -0700

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-4ubuntu1) oneiric; urgency=low

  * Fix FTBFS with newer versions of Heimdal. LP: #825872

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Aug 2011 18:00:52 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-4) unstable; urgency=low

  * Fix yet another upstream segfault breakage in GSSAPI from CVS
    (Closes: #629589)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2011 08:37:13 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-3) unstable; urgency=low

  [ Dan White ]
  * Fix GSSAPI breakage by reverting revision 1.103 of plugins/gssapi.c
    (Closes: #628525)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jun 2011 11:14:18 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-2) unstable; urgency=low

  * Upload to unstable
  * One more AC_CACHE_VAL without _cv_ fix
  * Update Vcs-* links
  * Add gs2 and scram modules to libsasl2-modules-gssapi-mit
    (Closes: #628067)
  * Revert "Change gbp.conf for experimental branch"
  * Add lintian-override for libsasl2-modules-gssapi-mit: possible-gpl-
    code-linked-with-openssl

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 May 2011 17:05:30 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-1) experimental; urgency=low

  * Imported Upstream version 2.1.24~rc1.dfsg1+cvs2011-05-23
  * Adapt patches to new CVS checkout
  * Upload to experimental first to be sure everything works

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 May 2011 10:38:59 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1-1) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * libsasl2-2.README.Debian: document that SASL logs debug messages by
    default, and how change/stop it (Closes: #590598)
  * Bump Standards-Version to 3.9.2 (no changes)
  * Remove Build-Depends on libopie-dev, which was removed
    (Closes: #622221)

  [ Ondřej Surý ]
  * Patch to support newer Berkeley DB (Closes: #621437)
  * Remove /etc/sasldb2 in prerm remove if empty (Closes: #618885)
  * Improve Berkeley DB upgrade code to note the used version in
    berkeley_db.active file and compare it with current version
  * Convert debian/rules to debhelper7
  * Update Vcs-* and Homepage fields
  * Fix autoreconf by adding some recommended options to configure.in
    and Makefile.am
  * Imported Upstream version 2.1.24~rc1.dfsg1
  * Update patches to new release
  * Update repack.sh
  * Build against sqlite3 since upstream has a support for it
    (Closes: #444799)
  * Fix FTBFS in LDAP plugin
  * Don't use .la files to open plugins, just scan .so
  * Set configdir to /etc/sasl2:/etc/sasl:/usr/lib/sasl2
    (Closes: #465569)
  * Stop shipping .la and .a files for all modules (Closes: #516833)
  * sasl2-bin can depend on generic db-util package now
  * Add myself to uploaders
  * Removed hardcoded -R option when searching for sqlite libraries
  * Fix Sqlite3 FTBFS due missing link libraries in plugins/

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 May 2011 21:57:11 +0200

cyrus-sasl2 (2.1.23.dfsg1-8) unstable; urgency=low

  * Eliminate getsubopt conflict when building with glibc 2.2, thanks to
    Colin Watson for the patch (Closes: #588528)
  * Convert package from using dpatch to using quilt
  * debian/sasl2-bin.saslauthd.init: Properly handle $(OPTIONS) missing from
    defaults file (Closes: #515534)
  * Bump Standards-Version to 3.9.1 (no changes)
  * cyrus-sasl2-dbg: Demote dependency on cyrus-sasl2-{mit,heimdal}-dbg to
    a recommendation (Closes: #607558)
  * Enable hardening features (Closes: #542725)
  * Fix FTBFS, add $(SASL_DB_LIB) as dependency to libsasldb, and use it.
    Thanks to Matthias Klose for the patch (Closes: #609237)
  * Drop gratuitous dependency on krb5support (Closes: #528238)
  * Ship docs on testing with sasl-sample-{client,server} (Closes: #516542)
  * Allow getting saslauthd status with '/etc/init.d/saslauthd status'.
    Thanks to Raoul Bhatia for the patch (Closes: #589181)
  * Fix documentation on saslauthd runtime directory perms (Closes: #528554)
  * Add Danish translation, thanks to Joe Dalton.  (Closes: #585553)
  * Change to machine readable copyright file (Closes: 470948)
  * Improve documentation on location of socket directory based on whether
    Postfix runs inside or outside a chroot, thanks to Walter Rohrer for the
    suggestion.  (Closes: #528553)
  * Start shipping gen-auth (Closes: #459624)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Drop Conflicts/Replaces for pre-Lenny and pre-Sarge versions of packages

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 16 Mar 2011 22:42:49 -0400

cyrus-sasl2 (2.1.23.dfsg1-7) unstable; urgency=low

  [ Luca Capello ]
  * Fix for (Closes: #601977), the idea coming from Gaudenz Steinlin
    <gaudenz@debian.org>:
    + debian/control:
      - cyrus-sasl2-dbg Depends: on one of the two GSSAPI dbg packages.
      - new cyrus-sasl2-mit-dbg package which Conflicts: with
        cyrus-sasl2-heimdal-dbg.
      - cyrus-sasl2-heimdal-dbg now Conflicts: with cyrus-sasl2-mit-dbg.
    + debian/cyrus-sasl2-heimdal-dbg.preinst:
      - remove, useless.
    + debian/cyrus-sasl2-heimdal-dbg.postrm:
      - remove, useless.
    + debian/cyrus-sasl2-mit-dbg.dirs:
      - create /usr/lib/debug/usr/lib/sasl2/.
    + debian/rules:
      - mv MIT libgssapiv2.so.2.0.23 into cyrus-sasl2-mit-dbg.

  [ Roberto C. Sanchez ]
  * Thanks to Luca Capello for providing the patch.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 18 Dec 2010 11:14:59 -0500

cyrus-sasl2 (2.1.23.dfsg1-6) unstable; urgency=low

  * Acknowledge NMU (thanks to Ben Hutchings)
  * Merge cyrus-sasl2 and cyrus-sasl2-heimdal source packages (Closes: #568358)
    + Build against new heimdal-multidev (Closes: #591147)
  * Properly detect presence of Heimdal (Closes: #590912); thanks tremendously
    to Russ Allbery for the patch



=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: cyrus-sasl2
 Section: libs
 Priority: standard
-Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
-Uploaders: Fabian Fagerholm <fabbe@debian.org>, Roberto C. Sanchez <roberto@connexer.com>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 5.0.0), dpatch, autotools-dev, automake1.9, autoconf, libtool, libdb4.2-dev, libssl-dev (>= 0.9.7e-3), libmysqlclient-dev | libmysqlclient15-dev (>= 5.0.20), libpq-dev (>= 8.1.3-4), libsqlite0-dev (>= 2.8.16), libldap2-dev (>= 2.1.30-8), chrpath, groff-base, debconf (>= 0.5) | debconf-2.0, po-debconf, docbook-to-man
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-cyrus-sasl2/cyrus-sasl-2.1/trunk/
-Homepage: http://asg.web.cmu.edu/sasl/sasl-library.html
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
+Uploaders: Fabian Fagerholm <fabbe@debian.org>, Roberto C. Sanchez <roberto@connexer.com>, Ondřej Surý <ondrej@debian.org>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.46-7~), autotools-dev, automake, autoconf, libtool, libdb-dev, libpam0g-dev (>= 0.76-22), libssl-dev (>= 0.9.7e-3), libmysqlclient-dev | libmysqlclient15-dev (>= 5.0.20), libpq-dev (>= 8.1.3-4), heimdal-multidev (>= 1.4.0+git20110124.dfsg.1-2), krb5-multidev, libsqlite3-dev, libldap2-dev (>= 2.1.30-8), chrpath, groff-base, debconf (>= 0.5) | debconf-2.0, po-debconf, docbook-to-man, hardening-wrapper
+Build-Conflicts: heimdal-dev
+Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-sasl2/cyrus-sasl2.git
+Vcs-Git: git://git.debian.org/pkg-cyrus-sasl2/cyrus-sasl2/
+Homepage: http://www.cyrusimap.org/
 
 Package: sasl2-bin
 Section: utils
 Priority: optional
 Architecture: any
-Depends: libsasl2-2 (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), debconf (>= 1.4.69)
+Depends: libsasl2-2 (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), db-util, debconf (>= 1.4.69) | cdebconf (>= 0.39)
 Description: Cyrus SASL - administration programs for SASL users database
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -34,8 +36,9 @@
 
 Package: libsasl2-2
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: postfix (<< 2.3.4-3), libsasl2-gssapi-mit (<< 2.1.22), libsasl2-krb4-mit (<< 2.1.22)
 Recommends: libsasl2-modules (= ${binary:Version})
 Replaces: libsasl2
 Description: Cyrus SASL - authentication abstraction library
@@ -57,6 +60,7 @@
 Package: libsasl2-modules
 Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: libsasl2-2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libsasl2-modules-otp, libsasl2-modules-ldap, libsasl2-modules-sql, libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Description: Cyrus SASL - pluggable authentication modules
@@ -69,6 +73,7 @@
 Package: libsasl2-modules-ldap
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Cyrus SASL - pluggable authentication modules (LDAP)
  This is the Cyrus SASL API implementation, version 2.1. See package
@@ -79,8 +84,8 @@
 Package: libsasl2-modules-otp
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsasl2-modules (<< 2.1.22~)
 Description: Cyrus SASL - pluggable authentication modules (OTP)
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -90,6 +95,7 @@
 Package: libsasl2-modules-sql
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Cyrus SASL - pluggable authentication modules (SQL)
  This is the Cyrus SASL API implementation, version 2.1. See package
@@ -98,13 +104,24 @@
  This package provides the SQL plugin, which supports MySQL, PostgreSQL
  and SQLite.
 
+Package: libsasl2-modules-gssapi-mit
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsasl2-modules-gssapi-heimdal
+Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
+ This is the Cyrus SASL API implementation, version 2.1. See package
+ libsasl2-2 and RFC 2222 for more information.
+ .
+ This package provides the GSSAPI plugin, compiled with the MIT
+ Kerberos 5 library.
+
 Package: libsasl2-dev
 Section: libdevel
 Architecture: any
 Priority: optional
 Depends: libsasl2-modules (= ${binary:Version}), libc6-dev, ${misc:Depends}
-Conflicts: libsasl2-2-dev
-Replaces: libsasl2-2-dev
 Description: Cyrus SASL - development files for authentication abstraction library
  This is the Cyrus SASL API implementation, version 2. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -112,12 +129,25 @@
  This package includes development files for compiling programs with SASL
  support. It is needed for development purposes only.
 
+Package: libsasl2-modules-gssapi-heimdal
+Architecture: any
+Multi-Arch: same
+Priority: extra
+Depends: libsasl2-modules (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsasl2-modules-gssapi-mit
+Description: Pluggable Authentication Modules for SASL (GSSAPI)
+ This is the Cyrus SASL API implementation, version 2.1. See package
+ libsasl2-2 and RFC 2222 for more information.
+ .
+ This package provides the GSSAPI plugin, compiled with the Heimdal
+ Kerberos 5 library.
+
 Package: cyrus-sasl2-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libsasl2-2 (= ${binary:Version}), ${misc:Depends}
-Conflicts: cyrus-sasl2-heimdal-dbg
+Recommends: cyrus-sasl2-mit-dbg | cyrus-sasl2-heimdal-dbg
 Description: Cyrus SASL - debugging symbols
  This is the Cyrus SASL API implementation, version 2. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -126,3 +156,35 @@
  The debugging symbols can be useful when investigating crashes in the SASL
  library or tools. You may be asked to install this package if you encounter
  such a crash.
+
+Package: cyrus-sasl2-mit-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: cyrus-sasl2-dbg (= ${binary:Version}), libsasl2-modules-gssapi-mit (= ${binary:Version}), ${misc:Depends}
+Conflicts: cyrus-sasl2-heimdal-dbg
+Description: Cyrus SASL - debugging symbols for MIT modules
+ This is the Cyrus SASL API implementation, version 2. See package
+ libsasl2-2 and RFC 2222 for more information.
+ .
+ This package contains the debugging symbols for the Cyrus SASL MIT
+ GSSAPI modules package (libsasl2-modules-gssapi-mit). The debugging
+ symbols can be useful when investigating crashes in the SASL library or
+ tools. You may be asked to install this package if you encounter such a
+ crash.
+
+Package: cyrus-sasl2-heimdal-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: cyrus-sasl2-dbg (= ${binary:Version}), libsasl2-modules-gssapi-heimdal (= ${binary:Version}), ${misc:Depends}
+Conflicts: cyrus-sasl2-mit-dbg
+Description: Cyrus SASL - debugging symbols for Heimdal modules
+ This is the Cyrus SASL API implementation, version 2. See package
+ libsasl2-2 and RFC 2222 for more information.
+ .
+ This package contains the debugging symbols for the Cyrus SASL Heimdal
+ GSSAPI modules package (libsasl2-modules-gssapi-heimdal). The debugging
+ symbols can be useful when investigating crashes in the SASL library or
+ tools. You may be asked to install this package if you encounter such a
+ crash.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for CMU Cyrus SASL version 2.1
# 
# Copyright (c) 2011 by Ondřej Surý - migrated to dh7
# Based on previous work (c) 2006 by Fabian Fagerholm.
# Based on previous work by Dima Barsky.
# Based on cyrus-imapd-2.2 packages by Henrique de Moraes Holshuch.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# Note that Cyrus SASL itself is published under a different license.

# Debhelper control.
export DH_ALWAYS_EXCLUDE=CVS
#export DH_VERBOSE=1 # uncomment this to turn on verbose mode
export DEB_BUILD_HARDENING=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Save Berkeley DB used for building the package
BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')

# SQL support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-sql,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_SQL=--enable-sql
else
	CONFIGURE_SQL=--disable-sql
endif

# LDAP support may be turned off during the build, but is on by default.
ifeq (,$(findstring no-ldap,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_LDAP=--with-ldap
	CONFIGURE_LDAPDB=--enable-ldapdb
else
	CONFIGURE_LDAP=--without-ldap
	CONFIGURE_LDAPDB=--disable-ldapdb
endif

# GSSAPI support may be turned off during the build, but is on by default
ifeq (,$(findstring no-gssapi,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_GSSAPI=--enable-gssapi
else
	CONFIGURE_GSSAPI=--disable-gssapi
endif

CONFIGURE_COMMON_OPTIONS= \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--enable-static \
	--enable-shared \
	--enable-alwaystrue \
	--enable-checkapop \
	--enable-cram \
	--enable-digest \
	--enable-otp \
	--disable-srp \
	--disable-srp-setpass \
	--disable-krb4 \
	$(CONFIGURE_GSSAPI) \
	--enable-gss_mutexes \
	--enable-auth-sasldb \
	--enable-plain \
	--enable-anon \
	--enable-login \
	--enable-ntlm \
	--disable-passdss \
	$(CONFIGURE_SQL) \
	--with-sqlite3=/usr \
	--with-mysql=/usr \
	--with-pgsql=/usr/include/postgresql \
	$(CONFIGURE_LDAPDB) \
	--disable-macos-framework \
	--with-pam \
	--with-saslauthd=/var/run/saslauthd \
	$(CONFIGURE_LDAP) \
	--with-configdir=/etc/sasl2:/etc/sasl:/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
	--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
	--sysconfdir=/etc \
	--with-devrandom=/dev/urandom

# Some convenience variables
export TMPBUILD_MIT := $(CURDIR)/build-mit
export TMPBUILD_HEIMDAL := $(CURDIR)/build-heimdal
export HEIMDAL_LDFLAGS := $(shell krb5-config.heimdal --libs gssapi | sed -e 's/ -l.*//')
export HEIMDAL_CPPFLAGS := $(shell krb5-config.heimdal --cflags gssapi)
export TMPPKG_MIT := $(CURDIR)/debian/tmp-mit
export TMPPKG_HEIMDAL := $(CURDIR)/debian/tmp-heimdal

AUTOFILES=acinclude.m4 aclocal.m4 config/config.sub config/config.guess \
		  config/ltmain.sh config/libtool.m4
BUILD_TMP_SUFFIX=.debian-build.tmp
AUTOTOOLS=for i in $(AUTOFILES); do \
		  	if [ -e $$i ]; then \
				mv --verbose $$i `basename $$i`$(BUILD_TMP_SUFFIX) ; \
			fi ; \
		  done && \
		  autoreconf -fi

AUTOTOOLS_REVERSE=for i in $(AUTOFILES); do \
				  	if [ -e `basename $$i`$(BUILD_TMP_SUFFIX) ]; then \
						if [ -e $$i ]; then rm -fv $$i; fi ; \
						mv --verbose `basename $$i`$(BUILD_TMP_SUFFIX) $$i ; \
					fi ; \
				  done


### The Makefile targets begin. ###

%:
	dh $@ --with=quilt

override_dh_auto_clean:
	dh_auto_clean -B$(TMPBUILD_MIT)
	dh_auto_clean -B$(TMPBUILD_HEIMDAL)

	rm -f $(CURDIR)/sample/sample-client \
		$(CURDIR)/sample/sample-server
	[ ! -f Makefile ] || $(MAKE) distclean
	$(AUTOTOOLS_REVERSE)
	(cd saslauthd && $(AUTOTOOLS_REVERSE) && cd ..)
	-rm -f config.h config.log autom4ate.cache

	# Remove symlinks that the CMU build sets up but never removes.
	# They can be found by running find . -lname '*' -print in the
	# source tree before and after a build and comparing the differences.
	rm -f lib/sasldb.c lib/db_berkeley.c lib/allockey.c lib/cram.c \
			lib/digestmd5.c lib/otp.c lib/gssapi.c lib/plain.c \
			lib/anonymous.c lib/login.c lib/ntlm.c lib/sql.c lib/ldapdb.c

	# Remove generated man pages
	-rm -f sasl-sample-client.8 sasl-sample-server.8 gen-auth.1

	# Remove build directories
	rm -rf $(TMPBUILD_MIT) $(TMPBUILD_HEIMDAL) $(TMPPKG_MIT) $(TMPPKG_HEIMDAL)

override_dh_auto_configure:
	$(AUTOTOOLS)
	(cd saslauthd && $(AUTOTOOLS) && cd ..)

	LDFLAGS="$(LDFLAGS) -L/usr/lib/mit-krb5 -Wl,-z,defs" \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -I/usr/include/mit-krb5" \
	dh_auto_configure -B$(TMPBUILD_MIT) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=mit

	LDFLAGS="$(LDFLAGS) $(HEIMDAL_LDFLAGS) -Wl,-z,defs" \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) $(HEIMDAL_CPPFLAGS)" \
	dh_auto_configure -B$(TMPBUILD_HEIMDAL) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=heimdal

	# Record the build-time settings for later reference
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options

	grep with\ options $(TMPBUILD_MIT)/config.status | sed -e \
		's/^.*options \\"/configure /;s/\\"$///' \
		>> debian/README.configure-options

override_dh_auto_build:
	dh_auto_build -B$(TMPBUILD_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
	dh_auto_build -B$(TMPBUILD_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2

	# Build sample-{client,server}
	$(MAKE) -f $(CURDIR)/debian/sample/Makefile -C $(CURDIR)/sample T=$(TMPBUILD_MIT)

	# Build the sasl-sample-client and sasl-sample-server man pages.
	/usr/bin/docbook-to-man debian/sasl-sample-client.sgml \
		> sasl-sample-client.8
	/usr/bin/docbook-to-man debian/sasl-sample-server.sgml \
		> sasl-sample-server.8
	# Build the gen-auth man page
	/usr/bin/pod2man --stderr debian/gen-auth/gen-auth >gen-auth.1

override_dh_auto_install:
	dh_auto_install -B$(TMPBUILD_MIT) -- DESTDIR=$(TMPPKG_MIT) sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
	dh_auto_install -B$(TMPBUILD_HEIMDAL) -- DESTDIR=$(TMPPKG_HEIMDAL) sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2


	# Note the version of Berkeley DB used to build this package
	mkdir -p $(TMPPKG_MIT)/usr/lib/sasl2
	echo $(BDB_VERSION) > $(TMPPKG_MIT)/usr/lib/sasl2/berkeley_db.txt

	# Alter the default location and names of files to fit Debian
	# policy and better integrate with the Debian system.
	mv $(TMPPKG_MIT)/usr/sbin/pluginviewer $(TMPPKG_MIT)/usr/sbin/saslpluginviewer
	mv $(TMPPKG_MIT)/usr/share/man/man8/pluginviewer.8 \
		$(TMPPKG_MIT)/usr/share/man/man8/saslpluginviewer.8
	install -m 644 saslauthd/saslauthd.mdoc \
		$(TMPPKG_MIT)/usr/share/man/man8/saslauthd.8
	install -m 644 $(CURDIR)/debian/testsaslauthd.8 \
		$(TMPPKG_MIT)/usr/share/man/man8/testsaslauthd.8
	mv $(TMPPKG_MIT)/usr/sbin/dbconverter-2 $(TMPPKG_MIT)/usr/sbin/sasldbconverter2
	install -m 644 utils/sasldbconverter2.8 \
		$(TMPPKG_MIT)/usr/share/man/man8/sasldbconverter2.8

	# Install sample-{client,server} with Debianized names
	install -m 755 -D $(CURDIR)/sample/sample-client \
		$(TMPPKG_MIT)/usr/bin/sasl-sample-client
	install -m 755 -D $(CURDIR)/sample/sample-server \
		$(TMPPKG_MIT)/usr/sbin/sasl-sample-server

	# Alter the rpath of certain binaries and shared libraries.
	chrpath -d $(TMPPKG_MIT)/usr/sbin/sasldblistusers2 \
		$(TMPPKG_MIT)/usr/sbin/saslpasswd2
	chrpath -d $(TMPPKG_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.2.0.24

	# Install the sasl-sample-client and -server man pages.
	dh_installman -psasl2-bin sasl-sample-client.8 sasl-sample-server.8

	# Install saslfinger
	install -m 644 -D $(CURDIR)/debian/saslfinger/saslfinger.1 \
		$(TMPPKG_MIT)/usr/share/man/man1/saslfinger.1
	install -m 755 -D $(CURDIR)/debian/saslfinger/saslfinger \
		$(TMPPKG_MIT)/usr/bin/saslfinger

	# Install gen-auth

## cyrus-sasl2 2.1.25.dfsg1

=== debian/changelog ===
cyrus-sasl2 (2.1.25.dfsg1-3ubuntu0.1) precise-proposed; urgency=low

  * Fix ABI incompatability during slapd upgrades (LP: #990742):
    - debian/control: Set Breaks: 'slapd < 2.4.25-4' on libsasl2-2.
    - debian/rules: Introduce shlib dependency on 2.1.24 for libsasl2-2.

 -- Adam Gandelman <adamg@canonical.com>  Thu, 03 May 2012 12:39:35 -0700

cyrus-sasl2 (2.1.25.dfsg1-3) unstable; urgency=low

  [ Thomas Preud'homme ]
  * Stop relying on the structure of debugging package
    (Closes: #653725).

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2012 08:47:04 +0100

cyrus-sasl2 (2.1.25.dfsg1-2) unstable; urgency=low

  [ Roberto C. Sanchez ]  
  * Update README.source to reflect quilt usage instead of dpatch

  [ Ondřej Surý ]
  * Fix missing pam library due MultiArch (Closes: #643331)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Sep 2011 13:00:26 +0200

cyrus-sasl2 (2.1.25.dfsg1-1) unstable; urgency=low

  * Imported Upstream version 2.1.25.dfsg1
  * Refresh patches to the new release
  * sasldbconverter2.8 man page was removed from upstream tarball
  * Adapt debian/rules to SONAME change
  * Fix FTBFS with MultiArch heimdal libraries (Closes: #642681)
  * Add Catalan translation (Closes: #641826)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2011 10:08:32 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-6) unstable; urgency=low

  * Add Breaks: postfix (<= 2.8.3-1) so it doesn't get upgraded until
    postfix sasl code is ready for MultiArch

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Aug 2011 16:03:29 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-5) unstable; urgency=low

  * Add MultiArch support (Courtesy of Steve Langasek) (Closes: #637968)
  * Add both patch(es) to fix authentication issue with dovecot
    (Closes: #635246)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2011 09:43:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
 Uploaders: Fabian Fagerholm <fabbe@debian.org>, Roberto C. Sanchez <roberto@connexer.com>, Ondřej Surý <ondrej@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.46-7~), autotools-dev, automake, autoconf, libtool, libdb-dev, libpam0g-dev (>= 0.76-22), libssl-dev (>= 0.9.7e-3), libmysqlclient-dev | libmysqlclient15-dev (>= 5.0.20), libpq-dev (>= 8.1.3-4), heimdal-multidev (>= 1.4.0+git20110124.dfsg.1-2), krb5-multidev, libsqlite3-dev, libldap2-dev (>= 2.1.30-8), chrpath, groff-base, debconf (>= 0.5) | debconf-2.0, po-debconf, docbook-to-man, hardening-wrapper
+Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.46-7~), autotools-dev, automake, autoconf, libtool, libdb-dev, libpam0g-dev (>= 0.76-22), libssl-dev (>= 0.9.7e-3), libmysqlclient-dev | libmysqlclient15-dev (>= 5.0.20), libpq-dev (>= 8.1.3-4), heimdal-multidev, krb5-multidev, libsqlite3-dev, libldap2-dev (>= 2.1.30-8), chrpath, groff-base, debconf (>= 0.5) | debconf-2.0, po-debconf, docbook-to-man, hardening-wrapper
 Build-Conflicts: heimdal-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-cyrus-sasl2/cyrus-sasl2.git
 Vcs-Git: git://git.debian.org/pkg-cyrus-sasl2/cyrus-sasl2/
@@ -40,6 +40,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libsasl2-modules (= ${binary:Version})
+Breaks: postfix (<= 2.8.3-1), slapd (<= 2.4.25-3)
 Replaces: libsasl2
 Description: Cyrus SASL - authentication abstraction library
  This is the Cyrus SASL API implementation, version 2.1.

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	--with-pgsql=/usr/include/postgresql \
 	$(CONFIGURE_LDAPDB) \
 	--disable-macos-framework \
-	--with-pam \
+	--with-pam=/usr \
 	--with-saslauthd=/var/run/saslauthd \
 	$(CONFIGURE_LDAP) \
 	--with-configdir=/etc/sasl2:/etc/sasl:/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
@@ -194,8 +194,6 @@
 	install -m 644 $(CURDIR)/debian/testsaslauthd.8 \
 		$(TMPPKG_MIT)/usr/share/man/man8/testsaslauthd.8
 	mv $(TMPPKG_MIT)/usr/sbin/dbconverter-2 $(TMPPKG_MIT)/usr/sbin/sasldbconverter2
-	install -m 644 utils/sasldbconverter2.8 \
-		$(TMPPKG_MIT)/usr/share/man/man8/sasldbconverter2.8
 
 	# Install sample-{client,server} with Debianized names
 	install -m 755 -D $(CURDIR)/sample/sample-client \
@@ -206,7 +204,7 @@
 	# Alter the rpath of certain binaries and shared libraries.
 	chrpath -d $(TMPPKG_MIT)/usr/sbin/sasldblistusers2 \
 		$(TMPPKG_MIT)/usr/sbin/saslpasswd2
-	chrpath -d $(TMPPKG_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.2.0.24
+	chrpath -d $(TMPPKG_MIT)/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2/libsql.so.2.0.*
 
 	# Install the sasl-sample-client and -server man pages.
 	dh_installman -psasl2-bin sasl-sample-client.8 sasl-sample-server.8
@@ -218,3 +216,7 @@
 		$(TMPPKG_MIT)/usr/bin/saslfinger
 
 	# Install gen-auth
+	install -m 755 -D $(CURDIR)/debian/gen-auth/gen-auth \
+		$(TMPPKG_MIT)/usr/bin/gen-auth
+
+override_dh_install:
